Bug 88696 - Multiple mount entries in automount maps do not work
Multiple mount entries in automount maps do not work
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-04-11 19:56 EDT by Boris Vinarsky
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-11 18:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris Vinarsky 2003-04-11 19:56:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
It is very useful to have multiple mount entries in automount maps available in 
multiplatform compute environment. It allows to have the same path on every 
platform. It is especially helpful in LSF (grid software from Platform) when 
submitting jobs from one platform and executing on another.  Here is how the 
same path can be constructed:

On Solaris you can have entries like:
/tools/formality-2003.03 \
/               -rw,intr        washer:/tools/common/& \
/platform       -ro,intr        washer:/tools/common/&/sparcOS5

The same entry on HP-UX would be:
/tools/formality-2003.03 \
/               -rw,intr        washer:/tools/common/& \
/platform       -ro,intr        washer:/tools/common/&/hpux10

As a result each platform-specific directory would be mounted on 
the /tools/formality-2003.03/platform and the path for executables would 
be /tools/formality-2003.03/platform/bin, for libraries /tools/formality-
2003.03/platform/lib, etc.

It works on HP-UX and Solaris, but not on Linux. The Linux automount does not 
reject multiple mount entries in automount maps, but mounts only the first.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create map like included into description and try.

Actual Results:  Only the first entry is mounted.

Expected Results:  All entries to be mounted

Additional info:
Comment 1 Jeffrey Moyer 2004-07-24 09:46:46 EDT
Version 4 of the linux automounter added support for multimounts. 
I've upgraded autofs to version 4 in FC2 and beyond.  Unfortunately,
we are no longer supporting RH8.  Is it feasible for you to run with
FC2 or later?  If so, this should work for you.  I won't close the bug
until you have confirmed it works in your environment, though.

Comment 2 Kostas Georgiou 2004-07-28 06:52:18 EDT
Any plans to add autofs v4 in RHEL as well ?
Comment 3 Jeffrey Moyer 2004-07-28 07:33:17 EDT
Yes.  RHEL 3 Update 3 will have autofs version 4.
Comment 4 Kostas Georgiou 2004-07-28 08:19:14 EDT
Thanks, i am downloading it from the Beta channel at the moment. I'll test it later this 
week but i don't expect to have any problems.
Comment 5 Jeffrey Moyer 2004-12-13 17:00:48 EST
Does this work for you?  Can we close the bug?
Comment 6 Boris Vinarsky 2004-12-13 18:31:47 EST
I tested solution on two cases:
1) addind one more mount entry to an existing automount entry;
2) creating a new automount entry with two mount entries.

Case 2) works fine. Case 1) works only after restarting autofs service.
The solution is good enough for me since case 1) is rare. You can close the 
bug. If you prefer to have a cleaner solution you may choose to keep it open.

>cat /etc/redhat-release
Red Hat Enterprise Linux WS release 3 (Taroon Update 3)
>rpm -q autofs

Note You need to log in before you can comment on or make changes to this bug.